Package svnmailer :: Module settings :: Class GroupSettingsContainer

[hide private]

# Class GroupSettingsContainer

source code

            object --+
                     |
    typedstruct.Struct --+
                         |
                        GroupSettingsContainer

Container for group settings

See Also: groupMembers for the actual member list

Instance Methods | [hide private]

`bool`

_compare(self, other) compare some of the attributes | source code

`list`

_getIgnorableMembers(self) Returns the list of member names that be ignored in comparisons | source code

Inherited from `typedstruct.Struct`: `__del__`, `__init__`, `__repr__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods | [hide private]

Inherited from `typedstruct.Struct`: `__new__`

Class Variables | [hide private]

| _def_for_paths = `<svnmailer.struct_accessors.RegexDescriptor o`...``
| _def_for_repos = `<svnmailer.struct_accessors.RegexDescriptor o`...``
| _dict_ = `<svnmailer.typedstruct.StructDictDescriptor object at`...``
| _members_ = `<svnmailer.typedstruct.StructMembersDescriptor obj`...`` hash(x)
| _name = `<svnmailer.struct_accessors.UnicodeDescriptor object a`...``
| _set_ = `<svnmailer.typedstruct.StructSetDescriptor object at 0`...`` hash(x)
| _sub_ = `<svnmailer.typedstruct.StructSubDescriptor object at 0`...``
| apply_charset_property = `<svnmailer.struct_accessors.HumanBool`...``
| bcc_addr = `<svnmailer.struct_accessors.TokenlistDescriptor obj`...``
| browser_base_url = `<svnmailer.struct_accessors.UnicodeDescript`...``
| cia_project_branch = `<svnmailer.struct_accessors.UnicodeDescri`...``
| cia_project_module = `<svnmailer.struct_accessors.UnicodeDescri`...``
| cia_project_name = `<svnmailer.struct_accessors.UnicodeDescript`...``
| cia_project_path = `<svnmailer.struct_accessors.UnicodeDescript`...``
| cia_project_submodule = `<svnmailer.struct_accessors.UnicodeDes`...``
| cia_rpc_server = `<svnmailer.struct_accessors.UnicodeDescriptor`...``
| commit_subject_prefix = `<svnmailer.struct_accessors.UnicodeDes`...``
| commit_subject_template = `<svnmailer.struct_accessors.UnicodeD`...``
| custom_header = `<svnmailer.struct_accessors.UnicodeDescriptor `...``
| diff_command = `<svnmailer.struct_accessors.CommandlineDescript`...``
| exclude_paths = `<svnmailer.struct_accessors.RegexDescriptor ob`...``
| extract_x509_author = `<svnmailer.struct_accessors.HumanBoolean`...``
| for_paths = `<svnmailer.struct_accessors.RegexDescriptor object`...``
| for_repos = `<svnmailer.struct_accessors.RegexDescriptor object`...``
| from_addr = `<svnmailer.struct_accessors.TokenlistDescriptor ob`...``
| generate_diffs = `<svnmailer.struct_accessors.TokenlistDescript`...``
| ignore_if_other_matches = `<svnmailer.struct_accessors.HumanBoo`...``
| lock_subject_prefix = `<svnmailer.struct_accessors.UnicodeDescr`...``
| lock_subject_template = `<svnmailer.struct_accessors.UnicodeDes`...``
| long_mail_action = `<svnmailer.struct_accessors.MailactionDescr`...``
| long_news_action = `<svnmailer.struct_accessors.MailactionDescr`...``
| mail_transfer_encoding = `<svnmailer.struct_accessors.UnicodeDe`...``
| mail_type = `<svnmailer.struct_accessors.UnicodeDescriptor obje`...``
| max_subject_length = `<svnmailer.struct_accessors.IntegerDescri`...``
| news_transfer_encoding = `<svnmailer.struct_accessors.UnicodeDe`...``
| propchange_subject_prefix = `<svnmailer.struct_accessors.Unicod`...``
| propchange_subject_template = `<svnmailer.struct_accessors.Unic`...``
| reply_to_addr = `<svnmailer.struct_accessors.UnicodeDescriptor `...``
| show_applied_charset = `<svnmailer.struct_accessors.TokenDescri`...``
| show_nonmatching_paths = `<svnmailer.struct_accessors.TokenDesc`...``
| to_addr = `<svnmailer.struct_accessors.TokenlistDescriptor obje`...``
| to_fake = `<svnmailer.struct_accessors.UnicodeDescriptor object`...``
| to_newsgroup = `<svnmailer.struct_accessors.TokenlistDescriptor`...``
| unlock_subject_prefix = `<svnmailer.struct_accessors.UnicodeDes`...``
| unlock_subject_template = `<svnmailer.struct_accessors.UnicodeD`...``
| viewcvs_base_url = `<svnmailer.struct_accessors.UnicodeDescript`...``

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### _compare(self, other)

source code

compare some of the attributes

Parameters:
  - `other` (`GroupSettingsContainer`) - The object compared to
Returns: `bool`
  Are the objects equal?

Note: It uses a list of attributes that are compared if two of these types are tested for equality. Keep in mind that this comparision takes place, when the decision is made whether a mail for more than one group should be sent more than once (if the groups are not equal). All attributes, but the ones returned by _getIgnorableMembers are compared.

See Also: _getIgnorableMembers

### _getIgnorableMembers(self)

source code

Returns the list of member names that be ignored in comparisons

This method called by _compare. Override this method to modify the list.

Returns: `list`
  The list

Class Variable Details | [hide private]

### _def_for_paths

Value:

      <svnmailer.struct_accessors.RegexDescriptor object at 0x133de90>

### _def_for_repos

Value:

      <svnmailer.struct_accessors.RegexDescriptor object at 0x133ddd0>

### _dict_

Value:

      <svnmailer.typedstruct.StructDictDescriptor object at 0x133a390>

### _members_

    hash(x)

Value:

      <svnmailer.typedstruct.StructMembersDescriptor object at 0x133a350>

### _name

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133dfd0>

### _set_

    hash(x)

Value:

      <svnmailer.typedstruct.StructSetDescriptor object at 0x133d810>

### _sub_

Value:

      <svnmailer.typedstruct.StructSubDescriptor object at 0x133a310>

### apply_charset_property

Value:

      <svnmailer.struct_accessors.HumanBooleanDescriptor object at 0x133a2d0
      >

### bcc_addr

Value:

      <svnmailer.struct_accessors.TokenlistDescriptor object at 0x133da90>

### browser_base_url

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133ded0>

### cia_project_branch

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133dc50>

### cia_project_module

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133dbd0>

### cia_project_name

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133df50>

### cia_project_path

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133dd90>

### cia_project_submodule

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133a110>

### cia_rpc_server

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133a1d0>

### commit_subject_prefix

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133dc10>

### commit_subject_template

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133a210>

### custom_header

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133df90>

### diff_command

Value:

      <svnmailer.struct_accessors.CommandlineDescriptor object at 0x133d850>

### exclude_paths

Value:

      <svnmailer.struct_accessors.RegexDescriptor object at 0x133de50>

### extract_x509_author

Value:

      <svnmailer.struct_accessors.HumanBooleanDescriptor object at 0x133dc90
      >

### for_paths

Value:

      <svnmailer.struct_accessors.RegexDescriptor object at 0x133dcd0>

### for_repos

Value:

      <svnmailer.struct_accessors.RegexDescriptor object at 0x133a190>

### from_addr

Value:

      <svnmailer.struct_accessors.TokenlistDescriptor object at 0x133df10>

### generate_diffs

Value:

      <svnmailer.struct_accessors.TokenlistDescriptor object at 0x133d950>

### ignore_if_other_matches

Value:

      <svnmailer.struct_accessors.HumanBooleanDescriptor object at 0x133a290
      >

### lock_subject_prefix

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133d8d0>

### lock_subject_template

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133db10>

### long_mail_action

Value:

      <svnmailer.struct_accessors.MailactionDescriptor object at 0x133d910>

### long_news_action

Value:

      <svnmailer.struct_accessors.MailactionDescriptor object at 0x133a0d0>

### mail_transfer_encoding

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133dd10>

### mail_type

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133db90>

### max_subject_length

Value:

      <svnmailer.struct_accessors.IntegerDescriptor object at 0x133a090>

### news_transfer_encoding

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133de10>

### propchange_subject_prefix

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133d990>

### propchange_subject_template

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133da50>

### reply_to_addr

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133dad0>

### show_applied_charset

Value:

      <svnmailer.struct_accessors.TokenDescriptor object at 0x133da10>

### show_nonmatching_paths

Value:

      <svnmailer.struct_accessors.TokenDescriptor object at 0x133a150>

### to_addr

Value:

      <svnmailer.struct_accessors.TokenlistDescriptor object at 0x133d9d0>

### to_fake

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133d890>

### to_newsgroup

Value:

      <svnmailer.struct_accessors.TokenlistDescriptor object at 0x133dd50>

### unlock_subject_prefix

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133db50>

### unlock_subject_template

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133a250>

### viewcvs_base_url

Value:

      <svnmailer.struct_accessors.UnicodeDescriptor object at 0x133a050>